Skip to main content
`Ctrl`+`K`

# TSGetComputeExactError

Get the function used to automatically compute the exact error for the timestepping.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetComputeExactError(TS ts, PetscErrorCode (**exactError)(TS ts, Vec u, Vec e))

Not collective

## Input Parameter

- ts - time stepping context

## Output Parameter

- exactError - The function which computes the solution error

## Calling sequence of `exactError`

- ts - The timestepping context

- u - The approximate solution vector

- e - The vector in which the error is stored

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSComputeExactError()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages